[tool.poetry]
name = "ksp_calculator"
version = "0.1.0"
description = "Interfacing and control with krpc."
authors = ["Joost Meulenbeld <joost.meulenbeld@gmail.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.8"
numpy = "*"
scipy = "*"
matplotlib = "*"
pandas = "*"
seaborn = "*"
plotly = "*"
sympy = "*"
tqdm = "*"
krpc = "*"
websockets = "*"
janus = "*"
pyyaml = "*"

[tool.poetry.dev-dependencies]
pytest = "*"
ipython = "*"

[build-system]
requires = ["poetry>=1.1"]
build-backend = "poetry.masonry.api"
